searchNodes=[{"doc":"Defines a behaviour for loggers based on telemetry events. It also contains a helper function attach_loggers/1 to attach to the :telemetry runtime and start logging results.","ref":"TelemetryLogger.html","title":"TelemetryLogger","type":"behaviour"},{"doc":"Attaches to :telemetry and forward events to telemetry loggers and then calls Logger properly. The values on the logger list are passed to init/1 callback. Example: TelemetryLogger . attach_loggers ( MyLogger , { AnotherLogger , something : 1234 } ) Will result in calls MyLogger.init([]) and AnotherLogger.init(something: 1234) which will then be passed as the last argument to MyLogger.handle_event/4 and AnotherLogger.handle_event/4 respectively.","ref":"TelemetryLogger.html#attach_loggers/1","title":"TelemetryLogger.attach_loggers/1","type":"function"},{"doc":"","ref":"TelemetryLogger.html#c:handle_event/4","title":"TelemetryLogger.handle_event/4","type":"callback"},{"doc":"","ref":"TelemetryLogger.html#c:init/1","title":"TelemetryLogger.init/1","type":"callback"},{"doc":"Logs one log per request on a Phoenix router. It includes the following metadata: duration_us : The duration in microseconds status : The response HTTP status method : The request HTTP method path : The request path (can be hidden by passing include_path: false ) If Phoenix is present and the router is passed route : The matched Phoenix Route route_plug : The plug of the matched route, probably your controller route_plug_opts : The plug options of the matched route, probably your action name To set this up properly, you want to disable Phoenix built-in logger by adding to your config: config :phoenix , :logger , false Then you need to attach this during application boot with TelemetryLogger . attach_loggers ( [ PlugLogger ] ) For Phoenix applications, you probably want to specify the PlugLogger TelemetryLogger . attach_loggers ( [ { PlugLogger , router : MyAppWeb.Router } ] ) By default it will log on :info level, you can change that by passing level: level when attaching, for example:any() TelemetryLogger . attach_loggers ( [ { PlugLogger , level : :debug } ] ) Options This logger accepts the following options :level - The log level to use. By default it uses :info :router - The Phoenix router of your application so this can extract route information. If not provided, route information will never be included. :include_path - Some sensitive applications might want to make sure path params are not leaked in the logs as they might contain sensistive information. For these cases, include_path: false will disable that and will only log route information (e.g. /user/:id instead of /user/12345 ). This is true by default. :prefix - The prefix of the Plug.Telemetry events, by default it is [:phoenix, :endpoint]","ref":"TelemetryLoggers.PlugLogger.html","title":"TelemetryLoggers.PlugLogger","type":"module"},{"doc":"TelemetryLogger implements infrastructure to have metadata-rich logs from :telemetry events. The goal is to also include loggers for existing well-known libraries such as Phoenix, Ecto, Tesla, Oban, etc.","ref":"readme.html","title":"TelemetryLogger","type":"extras"},{"doc":"For now this package is only available through git, so to install you can add: def deps do [ { :telemetry_logger , github : &quot;bamorim/telemetry_logger&quot; } ] end","ref":"readme.html#installation","title":"TelemetryLogger - Installation","type":"extras"}]